Subject: electric fence aborts test

From: Florian Lohoff <[email-masked]>
Date: Wed, 19 Apr 2000 11:51:33 +0200

Hi,
does someone have an idea why electric fence may not work ?

It fails in "Page_Create()" in page.c

        /*
         * In this version, "startAddr" is a _hint_, not a demand.
         * When the memory I map here is contiguous with other
         * mappings, the allocator can coalesce the memory from two
         * or more mappings into one large contiguous chunk, and thus
         * might be able to find a fit that would not otherwise have
         * been possible. I could _force_ it to be contiguous by using
         * the MMAP_FIXED flag, but I don't want to stomp on memory mappings
         * generated by other software, etc.
         */
        allocation = (caddr_t) mmap(
         startAddr
        ,(int)size
        ,PROT_READ|PROT_WRITE
        ,MAP_PRIVATE|MAP_ANONYMOUS
        ,-1
        ,0);

Flo
-- 
Florian Lohoff		[email-masked]		      	+49-subject-2-change
"Technology is a constant battle between manufacturers producing bigger and
more idiot-proof systems and nature producing bigger and better idiots."